services:
  backend-ci:
    build:
      context: ".."
      dockerfile: "backend/Dockerfile"
      target: "development"
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:ci-local"
    command: "echo 'NOOP'"
    environment:
      PYTHONBREAKPOINT: "ipdb.set_trace"
      PYTHONPATH: "/srv/packages/common"
      DJANGO_SETTINGS_MODULE: "hotpocket_backend.settings.docker.webapp"
      DJANGO_TESTING_SETTINGS_MODULE: "hotpocket_backend.settings.docker.testing"
      HOTPOCKET_BACKEND_ENV: "docker"
      HOTPOCKET_BACKEND_APP: "webapp"
      POSTGRES_HOSTPORT: "${POSTGRES_HOST:-postgres.hotpocket.work.bthlabs.net}:${POSTGRES_PORT:-5432}"
      RABBITMQ_HOSTPORT: "${RABBITMQ_HOST:-rabbitmq.hotpocket.work.bthlabs.net}:${RABBITMQ_PORT:-5672}"
      # REQUESTS_CA_BUNDLE: "/srv/tls/requests_ca_bundle.pem"
      RUN_POETRY_INSTALL: "true"
      RUN_YARN_INSTALL: "true"
      SETUP_BACKEND: "true"
      SETUP_FRONTEND: "true"
    volumes:
      - "backend_venv:/srv/venv"
      - "backend_node_modules:/srv/node_modules"
    restart: "no"
    stdin_open: true
    tty: true
    depends_on:
      - "postgres"
      - "rabbitmq"
